# Uses of Interface
org.apache.commons.math3.exception.util.Localizable

Packages that use Localizable
Package
Description
org.apache.commons.math3.exception
Specialized exceptions for algorithms errors.
org.apache.commons.math3.exception.util
Classes supporting exception localization.
org.apache.commons.math3.genetics
This package provides Genetic Algorithms components and implementations.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.stat.regression
Statistical routines involving multivariate data.
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of Localizable in org.apache.commons.math3.exception

Constructors in org.apache.commons.math3.exception with parameters of type Localizable
Modifier
Constructor
Description
``
`ConvergenceException(Localizable pattern, Object... args)`
Construct the exception with a specific context and arguments.
``
`DimensionMismatchException(Localizable specific, int wrong, int expected)`
Construct an exception from the mismatched dimensions.
``
`InsufficientDataException(Localizable pattern, Object... arguments)`
Construct the exception with a specific context.
``
`MathArithmeticException(Localizable pattern, Object... args)`
Constructor with a specific message.
``
`MathIllegalArgumentException(Localizable pattern, Object... args)`
`protected`
`MathIllegalNumberException(Localizable pattern, Number wrong, Object... arguments)`
Construct an exception.
``
`MathIllegalStateException(Throwable cause, Localizable pattern, Object... args)`
Simple constructor.
``
`MathIllegalStateException(Localizable pattern, Object... args)`
Simple constructor.
``
`MathInternalError(Localizable pattern, Object... args)`
Constructor accepting a localized message.
``
`MathRuntimeException(Localizable pattern, Object... args)`
``
`MathUnsupportedOperationException(Localizable pattern, Object... args)`
``
`MaxCountExceededException(Localizable specific, Number max, Object... args)`
Construct the exception with a specific context.
``
`MultiDimensionMismatchException(Localizable specific, Integer[] wrong, Integer[] expected)`
Construct an exception from the mismatched dimensions.
``
`NoBracketingException(Localizable specific, double lo, double hi, double fLo, double fHi, Object... args)`
Construct the exception with a specific context.
``
`NoDataException(Localizable specific)`
Construct the exception with a specific context.
``
`NotFiniteNumberException(Localizable specific, Number wrong, Object... args)`
Construct the exception with a specific context.
``
`NotPositiveException(Localizable specific, Number value)`
Construct the exception with a specific context.
``
`NotStrictlyPositiveException(Localizable specific, Number value)`
Construct the exception with a specific context.
``
`NullArgumentException(Localizable pattern, Object... arguments)`
``
`NumberIsTooLargeException(Localizable specific, Number wrong, Number max, boolean boundIsAllowed)`
Construct the exception with a specific context.
``
`NumberIsTooSmallException(Localizable specific, Number wrong, Number min, boolean boundIsAllowed)`
Construct the exception with a specific context.
``
`OutOfRangeException(Localizable specific, Number wrong, Number lo, Number hi)`
Construct an exception from the mismatched dimensions with a specific context information.
``
`ZeroException(Localizable specific, Object... arguments)`
Construct the exception with a specific context.

## Uses of Localizable in org.apache.commons.math3.exception.util

Classes in org.apache.commons.math3.exception.util that implement Localizable
Modifier and Type
Class
Description
`class`
`DummyLocalizable`
Dummy implementation of the `Localizable` interface, without localization.
`enum`
`LocalizedFormats`
Enumeration for localized messages formats used in exceptions messages.
Methods in org.apache.commons.math3.exception.util with parameters of type Localizable
Modifier and Type
Method
Description
`void`
ExceptionContext.`addMessage(Localizable pattern, Object... arguments)`
Adds a message.

## Uses of Localizable in org.apache.commons.math3.genetics

Constructors in org.apache.commons.math3.genetics with parameters of type Localizable
Modifier
Constructor
Description
``
`InvalidRepresentationException(Localizable pattern, Object... args)`
Construct an InvalidRepresentationException with a specialized message.

## Uses of Localizable in org.apache.commons.math3.geometry.euclidean.threed

Constructors in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Localizable
Modifier
Constructor
Description
``
`NotARotationMatrixException(Localizable specifier, Object... parts)`
Simple constructor.

## Uses of Localizable in org.apache.commons.math3.stat.regression

Constructors in org.apache.commons.math3.stat.regression with parameters of type Localizable
Modifier
Constructor
Description
``
`ModelSpecificationException(Localizable pattern, Object... args)`

## Uses of Localizable in org.apache.commons.math3.util

Methods in org.apache.commons.math3.util with parameters of type Localizable
Modifier and Type
Method
Description
`static void`
MathUtils.`checkNotNull(Object o, Localizable pattern, Object... args)`
Checks that an object is not null.